repos:
  - repo: https://github.com/pre-commit/mirrors-eslint
    rev: v7.25.0
    hooks:
    -   id: eslint
        language: node
        args: ['--fix', '--max-warnings', '0']
        files: \.(js|vue)$
        types: [file]
        additional_dependencies:
        - eslint@7.25.0
        - eslint-plugin-vue@7.9.0
        - eslint-config-prettier@8.3.0
        - eslint-plugin-prettier@3.4.0
        - eslint-plugin-import@2.22.1
        - eslint-import-resolver-webpack@0.13.0
        - babel-eslint@10.1.0
        - prettier@2.2.1
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.2.0
    hooks:
      - id: check-executables-have-shebangs
      - id: check-merge-conflict
      - id: check-symlinks
      - id: trailing-whitespace
      - id: check-yaml
      - id: mixed-line-ending
      - id: check-json
  - repo: https://github.com/codespell-project/codespell
    rev: v1.17.1
    hooks:
      - id: codespell
        args: ['--write-changes']
        exclude: (^assets/|^package-lock.json$)
  - repo: meta
    hooks:
      - id: check-useless-excludes
